# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{9,10,11} )

inherit distutils-r1

DESCRIPTION="A virtual BMC for controlling virtual machines using IPMI commands"
HOMEPAGE="https://github.com/openstack/virtualbmc"
SRC_URI="https://tarballs.opendev.org/openstack/${PN}/${P}.tar.gz"
RESTRICT="nomirror"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
		>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
		>=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
		!~dev-python/pbr-2.1.0
		>=dev-python/libvirt-python-6.0.0[${PYTHON_USEDEP}]
		>=dev-python/pyghmi-1.2.0[${PYTHON_USEDEP}]
		>=dev-python/cliff-2.8.0[${PYTHON_USEDEP}]
		!~dev-python/cliff-2.9.0
		>=dev-python/pyzmq-19.0.0[${PYTHON_USEDEP}]
		dev-python/wcwidth[${PYTHON_USEDEP}]
		dev-python/importlib-metadata[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}"
BDEPEND=""

python_install_all() {
	distutils-r1_python_install_all

	newinitd "${FILESDIR}"/virtualbmc-initd vbmcd
}

